using NetworkResurrector.Api.Domain.Entities;
using NetworkResurrector.Api.Domain.Entities.Power;
using System.Threading.Tasks;

namespace NetworkResurrector.Api.Domain.Repositories
{
    public interface INetworkRepository
    {
        Task<Machine[]> GetMachines();
        Task<Machine> GetMachine(int machineId);
        Task<PowerActionConfiguration> GetPowerActionConfiguration(int machineId, string actionCode);
        Task<PowerActionConfiguration> GetPowerActionConfiguration(int machineId, int actionId);
    }
}
